action=history should not redirect to Special:History for Flow boards
Closed, ResolvedPublic

Description

Special:History doesn't show much except "Taken over by Flow".
Expected: For a Flow page, where the content type is 'flow-board' [1], Special history should redirect to the default history page view [2]

Example: https://www.mediawiki.org/wiki/Special:History/Talk:Content_translation

[1] use $wgTitle->getContentModel()
[2] https://www.mediawiki.org/w/index.php?title=Talk:Beta_Features/Hovercards&action=history&useskin=minerva

Amire80 created this task.Mar 21 2015, 10:07 PM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Needs Triage.
Amire80 added subscribers: Quiddity, DannyH, Amire80, Aklapper.
Mattflaschen-WMF renamed this task from Special:History is useless on Flow boards to action=history should not redirect to Special:History for Flow boards.Mar 21 2015, 10:10 PM
Mattflaschen-WMF set Security to None.

the easy solution is to allow the flow history page to be displayed.

Let me know how MobileFrontend can be adapted to do this. Does Flow use a specific hook to hijack the history page?
Readers-Web-Backlog

We provide actions to ContentHandler::getActionOverrides() to replace the history action

So how would MobileFrontend and Flow decide who gets to override it...?

EBernhardson triaged this task as High priority.Apr 17 2015, 5:58 PM

I assume we could use content handler here in some way? (e.g. if article content type is Flow-board MobileFrontend shouldn't override). Can someone confirm?

Yes, $wgTitle->getContentModel() should be 'flow-board'.

Jdlrobson updated the task description. (Show Details)Sep 28 2015, 4:50 PM
Jdlrobson added a project: Easy.
Jdlrobson updated the task description. (Show Details)
Florian claimed this task.Dec 8 2015, 4:40 PM

Change 257642 had a related patch set uploaded (by Florianschmidtwelzow):
Don't redirect Flow boards to SpecialMobileHistory

https://gerrit.wikimedia.org/r/257642

Change 257642 merged by jenkins-bot:
Don't redirect Flow boards to SpecialMobileHistory

https://gerrit.wikimedia.org/r/257642

Jdlrobson closed this task as Resolved.Dec 9 2015, 12:38 AM